.slideshow-2__container {
  width: 100%;
  overflow: hidden;
  line-height: 1;

  :is(p) {
    margin: 0;
  }

  .blaze-slider {
    width: 100%;

    .blaze-container {
      width: 100%;

      .blaze-track-container {
        width: 100%;
        .blaze-track {
          width: 100%;

          .blaze-slide {
            width: 100%;
            position: relative;

            &:has(.slideshow-2__video) {
              min-height: 50vh;

              @media screen and (min-width: 768px) {
                min-height: 70vh;
              }
            }

            .slideshow-2__image {
              max-height: 600px;
              width: 100%;
              object-fit: cover;
            }

            .slideshow-2__image--desktop {
              display: none;

              @media screen and (min-width: 768px) {
                display: block;
              }
            }

            .slideshow-2__image--mobile {
              display: block;

              @media screen and (min-width: 768px) {
                display: none;
              }
            }

            .slideshow-2__video {
              width: 100%;
              height: 100%;
              max-height: 600px;
              object-fit: cover;
              position: absolute;
              top: 0;
              left: 0;
            }

            .slideshow-2__video--desktop {
              display: none;

              @media screen and (min-width: 768px) {
                display: block;
              }
            }

            .slideshow-2__video--mobile {
              display: block;

              @media screen and (min-width: 768px) {
                display: none;
              }
            }

            .slideshow-2__caption {
              position: absolute;
              display: flex;
              flex-direction: column;
              justify-content: center;
              text-shadow: 0 0 5px rgba(0, 0, 0, 0.3);
              z-index: 1;

              .slideshow-2__title {
                font-weight: 700;
                margin: 0;
              }

              .slideshow-2__emphasized-text {
                font-weight: 600;
                margin: 0;
              }

              .slideshow-2__description {
                font-weight: 400;
                margin: 0;
              }

              .btn {
                border: none;
                transition: all 0.3s ease-in-out;
              }
            }
          }
        }
      }

      .blaze-prev,
      .blaze-next {
        position: absolute;
        bottom: 50%;
        z-index: 1;
        display: flex;
        align-items: center;
        justify-content: center;
        width: 32px;
        height: 32px;
        padding: 0;
        background-color: #fff;
        border: transparent;
        border-radius: 20px;
        transform: translateY(-50%);
        cursor: pointer;
        filter: drop-shadow(0 4px 4px rgba(0, 0, 0, 0.15));

        &:hover {
          background: rgba(255, 255, 255, 1);
          box-shadow: 0 2px 8px rgba(0, 0, 0, 0.15);
        }

        @media screen and (max-width: 768px) {
          display: none;
        }
      }

      .blaze-next {
        right: 1.3vw;
        left: auto;

        :is(svg) {
          transform: rotate(180deg);
        }
      }

      .blaze-prev {
        left: 1.3vw;
        right: auto;
      }

      .blaze-pagination {
        display: flex;
        flex-direction: row;
        justify-content: center;
        align-items: center;
        position: absolute;
        bottom: clamp(1rem, 1vw, 2rem);
        left: 50%;
        transform: translateX(-50%);
        z-index: 10;

        :is(button) {
          /* border-radius: 50%;
          border: 1.14px solid #000;
          background: #fff;
          width: clamp(.8rem, .8vw, 1rem);
          height: clamp(.8rem, .8vw, 1rem);
          font-size: 0;
          transition: all 0.3s ease; */

          display: inline-block;
          vertical-align: middle;
          width: 8px;
          height: 8px;
          margin: 0 8px;
          border-radius: 100%;
          cursor: pointer;
          background-color: currentColor;
          opacity: 0.3;
          font-size: 0;
          padding: 0;

          &.active {
            /* border-radius: 50%;
            border: 1.14px solid #000;
            background: #000; */
            background-color: currentColor;
            opacity: 1;
          }
        }
      }
    }
  }
}
